Subject: bug#72268: 31.0.50; Color emoji rendering

From: Robert Pluim <[email-masked]>
Date: Thu, 25 Jul 2024 16:10:27 +0200

>>>>> On Thu, 25 Jul 2024 15:36:33 +0200, Manuel Giraud <[email-masked]> said:

    Manuel> Hi,
    Manuel> I've search about this issue and found the following link:
    Manuel> https://old.reddit.com/r/openbsd/comments/1atanzd/color_emoji_not_shown/

    Manuel> When I apply the recipe describe by sthen@ here, I can make color emoji
    Manuel> to work in Emacs (and probably other applications).  Therefore, I
    Manuel> propose that we add the following patch to etc/PROBLEMS.  WDYT?

Looks good to me. Should we add a link to the workaround? (also,
someone more pedantic than me might prefer the spelling 'color' ;-))

    Manuel> From a7bdb0bb6b5071d1c8154ffa96f0585bb87bec46 Mon Sep 17 00:00:00 2001
    Manuel> From: Manuel Giraud <[email-masked]>
    Manuel> Date: Thu, 25 Jul 2024 13:57:59 +0200
    Manuel> Subject: [PATCH] Document unsupported color Emoji on OpenBSD

    Manuel> Bug#72268

    Manuel> * etc/PROBLEMS (Runtime problems related to font handling):
    Manuel> Document unsupported color Emoji on OpenBSD.
    Manuel> ---
    Manuel>  etc/PROBLEMS | 7 +++++++
    Manuel>  1 file changed, 7 insertions(+)

    Manuel> diff --git a/etc/PROBLEMS b/etc/PROBLEMS
    Manuel> index f8fb9f90c0b..226b90e1265 100644
    Manuel> --- a/etc/PROBLEMS
    Manuel> +++ b/etc/PROBLEMS
    Manuel> @@ -1274,6 +1274,13 @@ Emacs will select some other font instead.
    Manuel>  The only workaround is not to choose such font variants as the default
    Manuel>  font when running Emacs on MS-Windows.
 
    Manuel> +** On OpenBSD, color Emoji are not supported.
    Manuel> +
    Manuel> +The system's FreeType library is not built with libpng support, so it
    Manuel> +can't display compressed colour emoji.  This is due to the fact that, on
    Manuel> +OpenBSD, libpng is provided through ports and that a base component
    Manuel> +cannot depend on that.
    Manuel> +
    Manuel>  * Internationalization problems
 
    Manuel>  ** M-{ does not work on a Spanish PC keyboard.
    Manuel> -- 
    Manuel> 2.45.2

    Manuel> -- 
    Manuel> Manuel Giraud

Robert
--